This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 98250 - The process for the vfolder protocol died unexpectedly.
The process for the vfolder protocol died unexpectedly.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-29 01:26 EDT by Dana-Renee Lee
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-23 06:56:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dana-Renee Lee 2003-06-29 01:26:52 EDT
Description of problem:
The process for the vfolder protocol died unexpectedly.

After I updated a new install of Redhat 8.0, the Start Here
icon on the desk top under KDE failed to operate correctly and
gave the diag message:
"The process for the vfolder protocol died unexpectedly."

This functioned properly befor the updates were applied via the
redhat network update procedure.

Prior to the update it functioned propely.  It still will
function if you use GNU as your desktop.  I say again,
this failes only when using KDE for your desk top.



How reproducible:
Every time

Steps to Reproduce:
1.Install fresh 8.0 from cd roms with KDE and GNU.
2.Verify Start Here works with GNU and KDE.
3.Install updates using redhat online update service.
4.Start Here using GNU works but Start Here is broken using KDE
    
Actual results:
GNU functions KDE failes

Expected results:
function in GNU and KED

Additional info:
Tyied this 3 timed as I thought I was messing up but,
found it happened every time I updated from the cd install default.
Comment 1 Ngo Than 2003-06-30 06:46:36 EDT
strange, it works for me with kdelibs-3.0.5a-4 and kdebase-3.0.5a-4.

Which version of kdelibs/kdebase do you have on your machine. Please give me the
output of "rpm -qi kdelibs kdebase". Thanks

Could you please try to start konqueror manually with:
 konqueror "vfolder:/start-here.menu/Start Here/"
Does it work for you?
Comment 2 Dana-Renee Lee 2003-06-30 13:37:09 EDT
# rpm -qi kdelibs kdebase
Name        : kdelibs                      Relocations: (not relocateable)
Version     : 3.0.5a                            Vendor: Red Hat, Inc.
Release     : 4                             Build Date: Mon 07 Apr 2003 10:26:52
AM MDT
Install date: Sat 28 Jun 2003 01:22:56 PM MDT      Build Host: daffy.perf.redhat.com
Group       : System Environment/Libraries   Source RPM: kdelibs-3.0.5a-4.src.rpm
Size        : 71196718                         License: LGPL
Signature   : DSA/SHA1, Mon 28 Apr 2003 01:38:10 PM MDT, Key ID 219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.kde.org/
Summary     : K Desktop Environment - Libraries
Description :
Libraries for the K Desktop Environment.

KDE Libraries include: kdecore (KDE core library), kdeui (user
interface), kfm (file manager), khtmlw (HTML widget), kio
(Input/Output, networking), kspell (spelling checker), jscript
(javascript), kab (addressbook), kimgio (image manipulation).
Name        : kdebase                      Relocations: /usr
Version     : 3.0.5a                            Vendor: Red Hat, Inc.
Release     : 4                             Build Date: Mon 07 Apr 2003 12:24:38
PM MDT
Install date: Sat 28 Jun 2003 01:17:02 PM MDT      Build Host: daffy.perf.redhat.com
Group       : User Interface/Desktops       Source RPM: kdebase-3.0.5a-4.src.rpm
Size        : 118427827                        License: GPL
Signature   : DSA/SHA1, Mon 28 Apr 2003 01:36:57 PM MDT, Key ID 219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.kde.org
Summary     : K Desktop Environment - core files
Description :
Core applications for the K Desktop Environment.  Included are: kdm
(replacement for xdm), kwin (window manager), konqueror (filemanager,
web browser, ftp client, ...), konsole (xterm replacement), kpanel
(application starter and desktop pager), kaudio (audio server),
kdehelp (viewer for kde help files, info and man pages), kthememgr
(system for managing alternate theme packages) plus other KDE
components (kcheckpass, kikbd, kscreensaver, kcontrol, kfind,
kfontmanager, kmenuedit).


If I manually try and start the Vfolder process here is the output:

An error occured while loading http://vfolder./start-here.menu/Start-Here/:


Unknown host vfolder.
Comment 3 Dana-Renee Lee 2003-06-30 13:40:41 EDT
I might also add that the system does not shutdown using the login system option
to shutdown the system.  It hangs before it shuts down the processes and seems
to be hung at the shutdown process for the Xwin process.  System shuts down fine
if you do a shutdown -h now in a Konsole window.  Just thought I would include
this as it may be of use in the Vfolder issue. Thanks
Comment 4 Ngo Than 2003-07-01 08:40:21 EDT
Hmm, are you sure that you have started vfolder with correct commando line ?
 konqueror "vfolder:/start-here.menu/Start Here/"

After upgrade process, you have to restart your KDE desktop.
Does it work for you after KDE restart?
Comment 5 Dana-Renee Lee 2003-07-01 16:10:34 EDT
No, I did a compleat reboot of the system which should have also restarted KDE.

After an update, I reboot the system allways and select the latest Kernel to 
boot to.  So the answer is no it still does not work and yes the command was 
entered as a copy and past of your command string.
Comment 6 Ngo Than 2003-07-02 10:14:04 EDT
I have installed the same kdelibs and kdebase on my machine and it works fine
for me. ATM i don't have any idee, why it does not work for you.

Could you please rebuild/install vfolder on your machine:

  - login as root, install kdebase srpm with rpm -ivh kdebase-3.0.5a-4.src.rpm
  - unpack vfolder tar file with tar jvxf vfolder-0.1.tar.bz2
  - cd vfolder-0.1
  - make -f Makefile.cvs
  - ./configure --prefix=/usr
  - make
  - make install
  - restart KDE

does it work for you?
Comment 7 Dana-Renee Lee 2003-07-02 15:50:45 EDT
I pulled down the rpm file you specified, used the command specified, and there 
was no vfile tar file in this rpm.  Searched for the named vfile on the 
internet and was not able to get the named file.

Next please?

PS: thr rpm came from the redhat download site.
Comment 8 Dana-Renee Lee 2003-07-02 15:51:52 EDT
correction not vfile but vfolder.  Sorry for the typo
Comment 9 Dana-Renee Lee 2003-07-02 15:57:03 EDT
disreguard the last two updates as as a last resort I used the find command and 
found the vfolder file.  Will continu on with the sugested mods.
Comment 10 Dana-Renee Lee 2003-07-02 16:06:58 EDT
all went well until the make.  The output from the make follows:

[root@isis vfolder-0.1]# make
cd . \
&& CONFIG_FILES= CONFIG_HEADERS=config.h \
/bin/sh ./config.status
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing default-1 commands
make  all-recursive
make[1]: Entering directory `/usr/src/redhat/SOURCES/vfolder-0.1'
Making all in kioslave
make[2]: Entering directory `/usr/src/redhat/SOURCES/vfolder-0.1/kioslave'
source='vfolder.cpp' object='vfolder.lo' libtool=yes \
depfile='.deps/vfolder.Plo' tmpdepfile='.deps/vfolder.TPlo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
/bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I.
-I.. -I/usr/include/kde -I/usr/lib/qt3-gcc3.2/include -I/usr/X11R6/include  
-DQT_THREAD_SUPPORT  -D_REENTRANT -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT
-DQT_NO_ASCII_CAST -Wnon-virtual-dtor -Wno-long-long -Wbad-function-cast -Wundef
-Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions
-fno-check-new  -c -o vfolder.lo `test -f vfolder.cpp || echo './'`vfolder.cpp
source='kioentries.cpp' object='kioentries.lo' libtool=yes \
depfile='.deps/kioentries.Plo' tmpdepfile='.deps/kioentries.TPlo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
/bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I.
-I.. -I/usr/include/kde -I/usr/lib/qt3-gcc3.2/include -I/usr/X11R6/include  
-DQT_THREAD_SUPPORT  -D_REENTRANT -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT
-DQT_NO_ASCII_CAST -Wnon-virtual-dtor -Wno-long-long -Wbad-function-cast -Wundef
-Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions
-fno-check-new  -c -o kioentries.lo `test -f kioentries.cpp || echo
'./'`kioentries.cpp
source='interface.cpp' object='interface.lo' libtool=yes \
depfile='.deps/interface.Plo' tmpdepfile='.deps/interface.TPlo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
/bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I.
-I.. -I/usr/include/kde -I/usr/lib/qt3-gcc3.2/include -I/usr/X11R6/include  
-DQT_THREAD_SUPPORT  -D_REENTRANT -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT
-DQT_NO_ASCII_CAST -Wnon-virtual-dtor -Wno-long-long -Wbad-function-cast -Wundef
-Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions
-fno-check-new  -c -o interface.lo `test -f interface.cpp || echo './'`interface.cpp
source='protocol.cpp' object='protocol.lo' libtool=yes \
depfile='.deps/protocol.Plo' tmpdepfile='.deps/protocol.TPlo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
/bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I.
-I.. -I/usr/include/kde -I/usr/lib/qt3-gcc3.2/include -I/usr/X11R6/include  
-DQT_THREAD_SUPPORT  -D_REENTRANT -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT
-DQT_NO_ASCII_CAST -Wnon-virtual-dtor -Wno-long-long -Wbad-function-cast -Wundef
-Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions
-fno-check-new  -c -o protocol.lo `test -f protocol.cpp || echo './'`protocol.cpp
protocol.cpp: In member function `virtual bool
   VFolder::VFolderProtocol::checkFolder(VFolder::VFolderEntry*)':
protocol.cpp:163: warning: return-statement with no value, in function declared
   with a non-void return type
protocol.cpp:184: warning: control reaches end of non-void function
source='parser.cpp' object='parser.lo' libtool=yes \
depfile='.deps/parser.Plo' tmpdepfile='.deps/parser.TPlo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
/bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I.
-I.. -I/usr/include/kde -I/usr/lib/qt3-gcc3.2/include -I/usr/X11R6/include  
-DQT_THREAD_SUPPORT  -D_REENTRANT -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT
-DQT_NO_ASCII_CAST -Wnon-virtual-dtor -Wno-long-long -Wbad-function-cast -Wundef
-Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions
-fno-check-new  -c -o parser.lo `test -f parser.cpp || echo './'`parser.cpp
parser.h: In constructor `VFolder::VFolderParser::VFolderParser(DesktopFiles*,
   VFolder::VFolderEntry*)':
parser.h:28: warning: member initializers for `
   DesktopFiles*VFolder::VFolderParser::desktop'
parser.h:26: warning:   and `bool VFolder::VFolderParser::_not'
parser.cpp:30: warning:   will be re-ordered to match declaration order
parser.cpp: In member function `virtual bool
   VFolder::VFolderParser::startElement(const QString&, const QString&, const
   QString&, const QXmlAttributes&)':
parser.cpp:39: warning: unused parameter `const QString&nspace'
parser.cpp:39: warning: unused parameter `const QString&localName'
parser.cpp:39: warning: unused parameter `const QXmlAttributes&attr'
parser.cpp: In member function `virtual bool
   VFolder::VFolderParser::endElement(const QString&, const QString&, const
   QString&)':
parser.cpp:76: warning: unused parameter `const QString&nspace'
parser.cpp:76: warning: unused parameter `const QString&localName'
source='Files.cpp' object='Files.lo' libtool=yes \
depfile='.deps/Files.Plo' tmpdepfile='.deps/Files.TPlo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
/bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I.
-I.. -I/usr/include/kde -I/usr/lib/qt3-gcc3.2/include -I/usr/X11R6/include  
-DQT_THREAD_SUPPORT  -D_REENTRANT -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT
-DQT_NO_ASCII_CAST -Wnon-virtual-dtor -Wno-long-long -Wbad-function-cast -Wundef
-Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions
-fno-check-new  -c -o Files.lo `test -f Files.cpp || echo './'`Files.cpp
source='desktopfile.cpp' object='desktopfile.lo' libtool=yes \
depfile='.deps/desktopfile.Plo' tmpdepfile='.deps/desktopfile.TPlo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
/bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I.
-I.. -I/usr/include/kde -I/usr/lib/qt3-gcc3.2/include -I/usr/X11R6/include  
-DQT_THREAD_SUPPORT  -D_REENTRANT -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT
-DQT_NO_ASCII_CAST -Wnon-virtual-dtor -Wno-long-long -Wbad-function-cast -Wundef
-Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions
-fno-check-new  -c -o desktopfile.lo `test -f desktopfile.cpp || echo
'./'`desktopfile.cpp
/bin/sh ../libtool --silent --mode=link --tag=CXX g++ -DQT_CLEAN_NAMESPACE
-DQT_NO_COMPAT -DQT_NO_ASCII_CAST -Wnon-virtual-dtor -Wno-long-long
-Wbad-function-cast -Wundef -Wall -pedantic -W -Wpointer-arith
-Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE
-Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new    -o
kio_vfolder.la -rpath /usr/lib/kde3 -L/usr/X11R6/lib -L/usr/lib/qt3-gcc3.2/lib
-L/usr/lib  -R /usr/lib -R /usr/lib/qt3-gcc3.2/lib -R /usr/X11R6/lib -module
-avoid-version -module -no-undefined -R /usr/lib -R /usr/lib/qt3-gcc3.2/lib -R
/usr/X11R6/lib  vfolder.lo kioentries.lo interface.lo protocol.lo parser.lo
Files.lo desktopfile.lo -lkio
make[2]: Leaving directory `/usr/src/redhat/SOURCES/vfolder-0.1/kioslave'
Making all in xmlcheck
make[2]: Entering directory `/usr/src/redhat/SOURCES/vfolder-0.1/xmlcheck'
source='parser.cpp' object='parser.o' libtool=no \
depfile='.deps/parser.Po' tmpdepfile='.deps/parser.TPo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde
-I/usr/lib/qt3-gcc3.2/include -I/usr/X11R6/include   -DQT_THREAD_SUPPORT 
-D_REENTRANT -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT -DQT_NO_ASCII_CAST
-Wnon-virtual-dtor -Wno-long-long -Wbad-function-cast -Wundef -Wall -pedantic -W
-Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500
-D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new  -c
-o parser.o `test -f parser.cpp || echo './'`parser.cpp
parser.cpp: In member function `virtual bool
   XmlCheck::XmlParser::startElement(const QString&, const QString&, const
   QString&, const QXmlAttributes&)':
parser.cpp:42: warning: unused parameter `const QString&nspace'
parser.cpp:42: warning: unused parameter `const QString&localName'
parser.cpp:42: warning: unused parameter `const QString&name'
parser.cpp:42: warning: unused parameter `const QXmlAttributes&attr'
parser.cpp: In member function `virtual bool
   XmlCheck::XmlParser::endElement(const QString&, const QString&, const
   QString&)':
parser.cpp:48: warning: unused parameter `const QString&nspace'
parser.cpp:48: warning: unused parameter `const QString&localName'
parser.cpp:48: warning: unused parameter `const QString&name'
source='main.cpp' object='main.o' libtool=no \
depfile='.deps/main.Po' tmpdepfile='.deps/main.TPo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde
-I/usr/lib/qt3-gcc3.2/include -I/usr/X11R6/include   -DQT_THREAD_SUPPORT 
-D_REENTRANT -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT -DQT_NO_ASCII_CAST
-Wnon-virtual-dtor -Wno-long-long -Wbad-function-cast -Wundef -Wall -pedantic -W
-Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500
-D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new  -c
-o main.o `test -f main.cpp || echo './'`main.cpp
main.cpp: In function `int main(int, char**)':
main.cpp:7: no matching function for call to `KCmdLineArgs::init(int&, char**&)
   '
/usr/include/kde/kcmdlineargs.h:213: candidates are: static void
   KCmdLineArgs::init(int, char**, const char*, const char*, const char*, bool
   = false)
/usr/include/kde/kcmdlineargs.h:226:                 static void
   KCmdLineArgs::init(int, char**, const KAboutData*, bool = false)
/usr/include/kde/kcmdlineargs.h:238:                 static void
   KCmdLineArgs::init(const KAboutData*)
make[2]: *** [main.o] Error 1
make[2]: Leaving directory `/usr/src/redhat/SOURCES/vfolder-0.1/xmlcheck'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/SOURCES/vfolder-0.1'
make: *** [all] Error 2
[root@isis vfolder-0.1]#
Comment 11 Ngo Than 2003-07-03 06:21:00 EDT
ok, i'm now building kdebase-3.0.5a-6. I will take a while. After the build
process is finished, i will upload it to ftp://people.redhat.com/than/8.0/
Could you please download it and test ? thanks
Comment 12 Dana-Renee Lee 2003-07-03 09:33:27 EDT
Let me know when it is ready and I will try again.  Thanks
Comment 13 Ngo Than 2003-07-03 16:26:59 EDT
ok, it's now available on ftp://people.redhat.com/than/8.0/
Comment 14 Dana-Renee Lee 2003-07-14 13:48:15 EDT
As of today, I now can install V9 so I sugest you close this.

Thanks
Comment 15 Ngo Than 2003-07-23 06:56:53 EDT
this problem does not appear in RHL 9. i close it

Note You need to log in before you can comment on or make changes to this bug.